Skip to content

Get activities authored by the specified user, plus EthosAgent saves credited to them

POST
/activities/profile/given
curl --request POST \
--url https://api.ethos.network/api/v2/activities/profile/given \
--header 'Content-Type: application/json' \
--data '{ "userkey": "example", "filter": [ "attestation" ], "excludeHistorical": true, "excludeSpam": true, "excludeUnverified": true, "excludeBoostedReviews": true, "orderBy": { "field": "timestamp", "direction": "desc" }, "reviewScore": "NEGATIVE", "minAuthorScore": 1, "limit": 50, "offset": 0 }'
Media typeapplication/json
object
userkey
required
string
filter
Array<string>
Allowed values: attestation broker-post human-verification invitation-accepted karma-tip market market-v2-trade market-vote reply review review-archived slash unvouch unvouch-v2 vote vouch vouch-v2 vouch-v2-decrease vouch-v2-increase xp-tip
excludeHistorical
boolean
excludeSpam
boolean
excludeUnverified
boolean
excludeBoostedReviews
boolean
orderBy
object
field
required
string
Allowed values: timestamp votes comments score controversial hot distance
direction
required
string
Allowed values: asc desc
reviewScore
Any of:
string
Allowed values: NEGATIVE NEUTRAL POSITIVE
minAuthorScore
integer
<= 2800
limit
integer
default: 50 <= 1000
offset
integer
0 <= 2147483647

Successful response

Media typeapplication/json
object
values
required
Array<object>
object
total
required
number
limit
required
number
offset
required
number

Example generated

{
"values": [
{}
],
"total": 1,
"limit": 1,
"offset": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}